package org.picketlink.federation.examples.auth;

import org.jboss.security.SimplePrincipal;
import org.w3c.dom.Element;

public class SAMLPrincipal extends SimplePrincipal {

	private Element assertion;

	public SAMLPrincipal(String name, Element assertion) {
		super(name);
		this.assertion = assertion;
	}
	
	private SAMLPrincipal(String name) {
		super(name);
	}

	public Element getAssertion() {
		return assertion;
	}
}
